ru.bitel.bgbilling.modules.omega.server.bean

## Class OmegaManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.omega.server.bean.OmegaManager

-     public class OmegaManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmegaManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `changeTarif(Contract contract, java.lang.String proceeddate, java.lang.String newTarif)`
    `int` | `createNewService(Contract contract, java.lang.String serviceTypeId)`
    `int` | `deactivateService(Contract contract, java.lang.String serviceId)`
    `org.json.JSONArray` | `getActiveServices(Contract contract)`
    `org.json.JSONArray` | `getActiveTariff(Contract contract)`
    `Contract` | `getContract(java.lang.String hash)`
    `java.lang.String` | `getHash(Contract contract, java.lang.String key)`
    `org.json.JSONObject` | `getInetStatus(Contract contract)`
    `org.json.JSONArray` | `getServicesAvailableToActivate(Contract contract)`
    `int` | `getStatusCredit(Contract contract)`
    `java.lang.String` | `setCredit(Contract contract, int days)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OmegaManager

          public OmegaManager(java.sql.Connection con,
                              int moduleId)

  - ### Method Detail

    - #### getHash

          public java.lang.String getHash(Contract contract,
                                          java.lang.String key)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContract

          public Contract getContract(java.lang.String hash)

    - #### getStatusCredit

          public int getStatusCredit(Contract contract)

    - #### setCredit

          public java.lang.String setCredit(Contract contract,
                                            int days)

    - #### changeTarif

          public java.lang.String changeTarif(Contract contract,
                                              java.lang.String proceeddate,
                                              java.lang.String newTarif)

    - #### getActiveTariff

          public org.json.JSONArray getActiveTariff(Contract contract)

    - #### getInetStatus

          public org.json.JSONObject getInetStatus(Contract contract)

    - #### getActiveServices

          public org.json.JSONArray getActiveServices(Contract contract)

    - #### deactivateService

          public int deactivateService(Contract contract,
                                       java.lang.String serviceId)

    - #### getServicesAvailableToActivate

          public org.json.JSONArray getServicesAvailableToActivate(Contract contract)

    - #### createNewService

          public int createNewService(Contract contract,
                                      java.lang.String serviceTypeId)